--------------------------------------------------------------------------
-- GTFO_Spells_MP.lua 
--------------------------------------------------------------------------
--[[
GTFO Spell List - Mists of Panderia
Author: Zensunim of Malygos

Change Log:
	v4.13
		- Added Instructor Chillheart's Burn
		- Added Instructor Chillheart's Ice Wave
		- Added Instructor Chillheart's Ice Wrath
		- Added Instructor Chillheart's Arcane Bomb
		- Added Jandice Barov's Wondrous Rapidity
		- Added Lilian Voss's Dark Blaze
		- Added Rattlegore's Soulflame
		- Added Professor Slate's Toxic Potion
		- Added Brother Korloff's Scorched Earth
		- Added Brother Korloff's Firestorm Kick
		- Added Hoptallus's Furlwind
		- Added Hoptallus's Carrot Breath
		- Added Fizzy Brew Alemental's Carbonation
		- Added Yan-Zhu the Uncasked's Blackout Brew
		- Added Yan-Zhu the Uncasked's Carbonation
		- Added Yan-Zhu the Uncasked's Bloat
		- Added Minion of Doubt's Shadow of Doubt
		- Added Liu Flameheart's Jade Serpent Wave
		- Added Liu Flameheart's Jade Fire
		- Added Sodden Hozen Brawler's Fire Strike
		- Added Sodden Hozen Brawler's Water Strike
		- Added Wise Mari's Corrupted Waters
		- Added Wise Mari's Hydrolance Pulse
		- Added Loremaster Stonestep's Swirling Sunfire
		- Added Loremaster Stonestep's Swirling Sunfire
		- Added Sha of Doubt's Nothingness		
		- Added Scarlet Flamethrower's Flamethrower
		- Added Thalnos the Soulrender's Spirit Gale
		- Added High Inquisitor Whitemane's Flamestrike
		- Added Commander Lindon's Exploding Shot
		- Added Flameweaver Koegler's Burning Books
	v4.14
		- Rearranged spells, added placeholders
		
]]--

-- ***************
-- * Scholomance *
-- ***************

GTFO.SpellID["120027"] = {
	--desc = "Burn (Instructor Chillheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["120037"] = {
	--desc = "Ice Wave (Instructor Chillheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["111616"] = {
	--desc = "Ice Wrath (Instructor Chillheart)";
	sound = 4;
	trivialPercent = 0;
	test = true; -- Needs verification/testing
};

GTFO.SpellID["113859"] = {
	--desc = "Arcane Bomb (Instructor Chillheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["114061"] = {
	--desc = "Wondrous Rapidity (Jandice Barov)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["111628"] = {
	--desc = "Dark Blaze (Lilian Voss)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["114009"] = {
	--desc = "Soulflame (Rattlegore)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["114873"] = {
	--desc = "Toxic Potion (Professor Slate)";
	sound = 1;
	trivialPercent = 0;
};

-- **********************
-- * Stormstout Brewery *
-- **********************

GTFO.SpellID["112993"] = {
	--desc = "Furlwind (Hoptallus)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["112945"] = {
	--desc = "Carrot Breath (Hoptallus)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["116170"] = {
	--desc = "Carbonation (Fizzy Brew Alemental)";
	sound = 1;
	alwaysAlert = true;
};

GTFO.SpellID["106851"] = {
	--desc = "Blackout Brew (Yan-Zhu the Uncasked)";
	sound = 1;
	applicationOnly = true;
	minimumStacks = 4;
	test = true; -- Verify
};

GTFO.SpellID["114386"] = {
	--desc = "Carbonation (Yan-Zhu the Uncasked)";
	sound = 1;
	alwaysAlert = true;
};

GTFO.SpellID["106546"] = {
	--desc = "Bloat (Yan-Zhu the Uncasked)";
	sound = 4;
	trivialPercent = 0;
	damageMinimum = 1; -- Ignore application
	test = true; -- This spell doesn't appear to be working correctly in Beta
};

GTFO.SpellID["107046"] = {
	--desc = "Water Strike (Sodden Hozen Brawler)";
	sound = 1;
	tankSound = 0;
	trivialPercent = 0;
};

GTFO.SpellID["107176"] = {
	--desc = "Fire Strike (Inflamed Hozen Brawler)";
	sound = 1;
	tankSound = 0;
	trivialPercent = 0;
};

-- ******************************
-- * Temple of the Jade Serpent *
-- ******************************

GTFO.SpellID["110099"] = {
	--desc = "Shadow of Doubt (Minion of Doubt)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["118540"] = {
	--desc = "Jade Serpent Wave (Liu Flameheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["107110"] = {
	--desc = "Jade Fire (Liu Flameheart)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["115167"] = {
	--desc = "Corrupted Waters (Wise Mari)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["106267"] = {
	--desc = "Hydrolance Pulse (Wise Mari)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["106319"] = {
	--desc = "Hydrolance Pulse (Wise Mari)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["111720"] = {
	--desc = "Swirling Sunfire (Loremaster Stonestep)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["106653"] = {
	--desc = "Sha Residue (Corrupt Living Water)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["106228"] = {
	--desc = "Nothingness (Sha of Doubt)";
	sound = 4;
	negatingDebuffSpellID = 106113; -- Touch of Nothingness
	trivialPercent = 0;
	negatingIgnoreTime = 2;
};

-- *********************
-- * Scarlet Cathedral *
-- *********************

GTFO.SpellID["114465"] = {
	--desc = "Scorched Earth (Brother Korloff)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["113766"] = {
	--desc = "Firestorm Kick (Brother Korloff)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["106228"] = {
	--desc = "Flamethrower (Scarlet Flamethrower)";
	sound = 1;
	tankSound = 2;
	trivialPercent = 0;
};

GTFO.SpellID["115291"] = {
	--desc = "Spirit Gale (Thalnos the Soulrender)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["110963"] = {
	--desc = "Flamestrike (High Inquisitor Whitemane)";
	sound = 1;
	trivialPercent = 0;
};

-- *****************
-- * Scarlet Halls *
-- *****************

GTFO.SpellID["114863"] = {
	--desc = "Exploding Shot (Commander Lindon)";
	sound = 1;
	trivialPercent = 0;
};

GTFO.SpellID["113620"] = {
	--desc = "Burning Books (Flameweaver Koegler)";
	sound = 1;
	trivialPercent = 0;
};

-- ***************************
-- * Gate of the Setting Sun *
-- ***************************

-- TODO: Acid Bomb (Striker Ga'dok) 
-- TODO: Viscous Fluid (Commander Ri'mok) 
-- TODO: Engulfing Winds (Raigonn)

-- ********************
-- * Mogu'shan Palace *
-- ********************

-- ***********************
-- * Shado-Pan Monastery *
-- ***********************

-- **************************
-- * Siege of Nivzao Temple *
-- **************************

-- *****************
-- * Heart of Fear *
-- *****************

-- ********************
-- * Mogu'shan Vaults *
-- ********************
-- TODO: Amethyst Pool (Stone Guard)
-- TODO: Jasper Chains (Stone Guard) (Possibly FF, Double-check on mechanics)
-- TODO: Epicenter (Feng the Accursed) (Adjust for minimum damage/debuff)
-- TODO: Wildfire Spark (Feng the Accursed) (Check for FF on explosion)
-- TODO: Arcane Velocity (Feng the Accursed) (Adjust for minimum damage)
-- TODO: Arcane Resonance (Feng the Accursed) (Check for FF as well)
-- TODO: The Spirit World (Gara'jal the Spiritbinder) (Warn at 3 seconds to go)
-- TODO: Volley (The Spirit Kings) (Non-tank fail)
-- TODO: Undying Shadow (The Spirit Kings) (Only if it can be kited, otherwise don't alert on the fixated target)
-- TODO: Coalescing Shadows (The Spirit Kings) (Research needed on this mechanic)
-- TODO: Celestial Breath (Elegon) (May be non-tank only if not rooted during ability)
-- TODO: Overcharged (Elegon) (Too many stacks? Research needed)
-- TODO: Energy Conduit (Elegon) (Probably a fail alert)
-- TODO: Energy of Creation (Will of the Emperor) (FF too?)

-- *****************************
-- * Terrace of Endless Spring *
-- *****************************

-- ****************
-- * World Bosses *
-- ****************

-- TODO: Bitter Thoughts (Sha of Anger)

